From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 15 Jun 2021 12:05:11 +0200
Subject: Fix spelling errors

Last-Update: 2018-12-04

Last-Update: 2018-12-04
---
 dd_rescue.c  | 4 ++--
 dd_rescue2.c | 2 +-
 ddr_crypt.1  | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/dd_rescue.c b/dd_rescue.c
index 54ad4a8..fddc273 100644
--- a/dd_rescue.c
+++ b/dd_rescue.c
@@ -2567,7 +2567,7 @@ void printlonghelp()
 	fprintf(stderr, "         -b softbs  block size for copy operation (def=%i, %i for -d),\n", BUF_SOFTBLOCKSIZE, DIO_SOFTBLOCKSIZE);
 	fprintf(stderr, "         -B hardbs  fallback block size in case of errs (def=%i, %i for -d),\n", BUF_HARDBLOCKSIZE, DIO_HARDBLOCKSIZE);
 	fprintf(stderr, "         -e maxerr  exit after maxerr errors (def=0=infinite),\n");
-	fprintf(stderr, "         -m maxxfer maximum amount of data to be transfered (def=0=inf),\n");
+	fprintf(stderr, "         -m maxxfer maximum amount of data to be transferred (def=0=inf),\n");
 	fprintf(stderr,	"         -M         avoid extending outfile,\n");
 	fprintf(stderr,	"         -x         count opos from the end of outfile (eXtend),\n");
 	fprintf(stderr, "         -y syncsz  frequency of fsync calls in bytes (def=512*softbs),\n");
@@ -2577,7 +2577,7 @@ void printlonghelp()
 	fprintf(stderr, "         -R         repeatedly write same block (def if infile is /dev/zero),\n");
 	fprintf(stderr, "         -t         truncate output file at start (def=no),\n");
 	fprintf(stderr, "         -T         truncate output file at last pos (def=no),\n");
-	fprintf(stderr, "         -u         undo writes by deleting outfile and issueing fstrim\n");
+	fprintf(stderr, "         -u         undo writes by deleting outfile and issuing fstrim\n");
 #ifdef O_DIRECT
 	fprintf(stderr, "         -d/D       use O_DIRECT for input/output (def=no),\n");
 #endif
diff --git a/dd_rescue2.c b/dd_rescue2.c
index bfa0546..838a63b 100644
--- a/dd_rescue2.c
+++ b/dd_rescue2.c
@@ -865,7 +865,7 @@ void printhelp()
 	fprintf(stderr, "         -b softbs  block size for copy operation (def=%i),\n", SOFTBLOCKSIZE );
 	fprintf(stderr, "         -B hardbs  fallback block size in case of errs (def=%i),\n", HARDBLOCKSIZE );
 	fprintf(stderr, "         -e maxerr  exit after maxerr errors (def=0=infinite),\n");
-	fprintf(stderr, "         -m maxxfer maximum amount of data to be transfered (def=0=inf),\n");
+	fprintf(stderr, "         -m maxxfer maximum amount of data to be transferred (def=0=inf),\n");
 	fprintf(stderr, "         -y syncfrq frequency of fsync calls on outfile (def=512*softbs),\n");
 	fprintf(stderr, "         -l logfile name of a file to log errors and summary to (def=\"\"),\n");
 	fprintf(stderr, "         -o bbfile  name of a file to log bad blocks numbers (def=\"\"),\n");
diff --git a/ddr_crypt.1 b/ddr_crypt.1
index e861848..29dcea9 100644
--- a/ddr_crypt.1
+++ b/ddr_crypt.1
@@ -292,7 +292,7 @@ also has the side-effect of writing (encryption) or parsing
 (decryption) an openSSL style Salted__ header. Note the openssl
 version 1.1 started to default to one round of sha256 hashing
 instead which can be forced on older openssl versions with
--md sha256 and overriden by specifying -md md5 on the openssl
+-md sha256 and overridden by specifying -md md5 on the openssl
 command line. You can instruct dd_rescue to use an openssl
 compatible KDF with sha256 by specifying
 .B opbkdf11 .
